package org.bench4q.web.model;

import java.util.List;

import org.bench4q.share.models.agent.RunScenarioModel;
import org.bench4q.share.models.agent.scriptrecord.BehaviorModel;
import org.bench4q.share.models.agent.scriptrecord.UsePluginModel;

public class ScenarioModel {
	private String scriptName;
	private List<UsePluginModel> usePlugins;
	private List<BehaviorModel> behaviors;
	private RunScenarioModel runScenarioModel;
	
	public String getScriptName() {
		return scriptName;
	}
	public void setScriptName(String scriptName) {
		this.scriptName = scriptName;
	}
	public List<UsePluginModel> getUsePlugins() {
		return usePlugins;
	}
	public void setUsePlugins(List<UsePluginModel> usePlugins) {
		this.usePlugins = usePlugins;
	}
	public List<BehaviorModel> getBehaviors() {
		return behaviors;
	}
	public void setBehaviors(List<BehaviorModel> behaviors) {
		this.behaviors = behaviors;
	}
	public RunScenarioModel getRunScenarioModel() {
		return runScenarioModel;
	}
	public void setRunScenarioModel(RunScenarioModel runScenarioModel) {
		this.runScenarioModel = runScenarioModel;
	}

}
